events.listen('item.tags', function (a) {

	a.add('forge:dyes/yellow', 'immersiveengineering:dust_sulfur')
	a.add('forge:workbench', 'minecraft:crafting_table')
	a.add('forge:paper', 'kubejs:sugarcane_paper')
	a.add('forge:paper', 'minecraft:paper')

	//STIPPED WOOD
	a.add('forge:stripped_wood', 'minecraft:stripped_oak_log')
	a.add('forge:stripped_wood', 'minecraft:stripped_birch_log')
	a.add('forge:stripped_wood', 'minecraft:stripped_spruce_log')
	a.add('forge:stripped_wood', 'minecraft:stripped_jungle_log')
	a.add('forge:stripped_wood', 'minecraft:stripped_acacia_log')
	a.add('forge:stripped_wood', 'minecraft:stripped_dark_oak_log')
	a.add('forge:stripped_wood', 'minecraft:stripped_crimson_stem')
	a.add('forge:stripped_wood', 'minecraft:stripped_warped_stem')
	a.add('forge:stripped_wood', 'minecraft:stripped_oak_wood')
	a.add('forge:stripped_wood', 'minecraft:stripped_birch_wood')
	a.add('forge:stripped_wood', 'minecraft:stripped_spruce_wood')
	a.add('forge:stripped_wood', 'minecraft:stripped_jungle_wood')
	a.add('forge:stripped_wood', 'minecraft:stripped_acacia_wood')
	a.add('forge:stripped_wood', 'minecraft:stripped_dark_oak_wood')
	a.add('forge:stripped_wood', 'minecraft:stripped_crimson_hyphae')
	a.add('forge:stripped_wood', 'minecraft:stripped_warped_hyphae')
	a.add('forge:stripped_wood', 'betterendforge:mossy_glowshroom_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:mossy_glowshroom_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:lacugrove_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:lacugrove_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:end_lotus_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:end_lotus_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:pythadendron_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:pythadendron_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:dragon_tree_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:dragon_tree_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:tenanea_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:tenanea_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:helix_tree_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:helix_tree_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:umbrella_tree_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:umbrella_tree_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:jellyshroom_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:jellyshroom_stripped_bark')
	a.add('forge:stripped_wood', 'betterendforge:lucernia_stripped_log')
	a.add('forge:stripped_wood', 'betterendforge:lucernia_stripped_bark')
	a.add('forge:stripped_wood', 'byg:stripped_aspen_log')
	a.add('forge:stripped_wood', 'byg:stripped_aspen_wood')
	a.add('forge:stripped_wood', 'byg:stripped_baobab_log')
	a.add('forge:stripped_wood', 'byg:stripped_baobab_wood')
	a.add('forge:stripped_wood', 'byg:stripped_blue_enchanted_log')
	a.add('forge:stripped_wood', 'byg:stripped_blue_enchanted_wood')
	a.add('forge:stripped_wood', 'byg:stripped_bulbis_stem')
	a.add('forge:stripped_wood', 'byg:stripped_bulbis_wood')
	a.add('forge:stripped_wood', 'byg:stripped_cherry_log')
	a.add('forge:stripped_wood', 'byg:stripped_cherry_wood')
	a.add('forge:stripped_wood', 'byg:stripped_cika_log')
	a.add('forge:stripped_wood', 'byg:stripped_cika_wood')
	a.add('forge:stripped_wood', 'byg:stripped_cypress_log')
	a.add('forge:stripped_wood', 'byg:stripped_cypress_wood')
	a.add('forge:stripped_wood', 'byg:stripped_ebony_log')
	a.add('forge:stripped_wood', 'byg:stripped_ebony_wood')
	a.add('forge:stripped_wood', 'byg:stripped_ether_log')
	a.add('forge:stripped_wood', 'byg:stripped_ether_wood')
	a.add('forge:stripped_wood', 'byg:stripped_fir_log')
	a.add('forge:stripped_wood', 'byg:stripped_fir_wood')
	a.add('forge:stripped_wood', 'byg:stripped_green_enchanted_log')
	a.add('forge:stripped_wood', 'byg:stripped_green_enchanted_wood')
	a.add('forge:stripped_wood', 'byg:stripped_holly_log')
	a.add('forge:stripped_wood', 'byg:stripped_holly_wood')
	a.add('forge:stripped_wood', 'byg:stripped_jacaranda_log')
	a.add('forge:stripped_wood', 'byg:stripped_jacaranda_wood')
	a.add('forge:stripped_wood', 'byg:stripped_lament_log')
	a.add('forge:stripped_wood', 'byg:stripped_lament_wood')
	a.add('forge:stripped_wood', 'byg:stripped_mahogany_log')
	a.add('forge:stripped_wood', 'byg:stripped_mahogany_wood')
	a.add('forge:stripped_wood', 'byg:stripped_mangrove_log')
	a.add('forge:stripped_wood', 'byg:stripped_mangrove_wood')
	a.add('forge:stripped_wood', 'byg:stripped_maple_log')
	a.add('forge:stripped_wood', 'byg:stripped_maple_wood')
	a.add('forge:stripped_wood', 'byg:stripped_nightshade_log')
	a.add('forge:stripped_wood', 'byg:stripped_nightshade_wood')
	a.add('forge:stripped_wood', 'byg:stripped_palm_log')
	a.add('forge:stripped_wood', 'byg:stripped_palm_wood')
	a.add('forge:stripped_wood', 'byg:stripped_palo_verde_log')
	a.add('forge:stripped_wood', 'byg:stripped_palo_verde_wood')
	a.add('forge:stripped_wood', 'byg:stripped_pine_log')
	a.add('forge:stripped_wood', 'byg:stripped_pine_wood')
	a.add('forge:stripped_wood', 'byg:stripped_rainbow_eucalyptus_log')
	a.add('forge:stripped_wood', 'byg:stripped_rainbow_eucalyptus_wood')
	a.add('forge:stripped_wood', 'byg:stripped_redwood_log')
	a.add('forge:stripped_wood', 'byg:stripped_redwood_wood')
	a.add('forge:stripped_wood', 'byg:stripped_skyris_log')
	a.add('forge:stripped_wood', 'byg:stripped_skyris_wood')
	a.add('forge:stripped_wood', 'byg:stripped_willow_log')
	a.add('forge:stripped_wood', 'byg:stripped_willow_wood')
	a.add('forge:stripped_wood', 'byg:stripped_witch_hazel_log')
	a.add('forge:stripped_wood', 'byg:stripped_witch_hazel_wood')
	a.add('forge:stripped_wood', 'byg:stripped_zelkova_log')
	a.add('forge:stripped_wood', 'byg:stripped_zelkova_wood')
	a.add('forge:stripped_wood', 'byg:stripped_sythian_stem')
	a.add('forge:stripped_wood', 'byg:stripped_sythian_hyphae')
	a.add('forge:stripped_wood', 'byg:stripped_embur_pedu')
	a.add('forge:stripped_wood', 'byg:stripped_embur_hyphae')
	a.add('forge:stripped_wood', 'endergetic:stripped_poise_stem')
	a.add('forge:stripped_wood', 'endergetic:stripped_poise_wood')

	//PLANKS :
	a.add('forge:planks_oak', 'minecraft:stripped_oak_log')
	a.add('forge:planks_birch', 'minecraft:stripped_birch_log')
	a.add('forge:planks_spruce', 'minecraft:stripped_spruce_log')
	a.add('forge:planks_jungle', 'minecraft:stripped_jungle_log')
	a.add('forge:planks_acacia', 'minecraft:stripped_acacia_log')
	a.add('forge:planks_dark_oak', 'minecraft:stripped_dark_oak_log')
	a.add('forge:planks_crimson', 'minecraft:stripped_crimson_stem')
	a.add('forge:planks_warped', 'minecraft:stripped_warped_stem')
	a.add('forge:planks_oak', 'minecraft:stripped_oak_wood')
	a.add('forge:planks_birch', 'minecraft:stripped_birch_wood')
	a.add('forge:planks_spruce', 'minecraft:stripped_spruce_wood')
	a.add('forge:planks_jungle', 'minecraft:stripped_jungle_wood')
	a.add('forge:planks_acacia', 'minecraft:stripped_acacia_wood')
	a.add('forge:planks_dark_oak', 'minecraft:stripped_dark_oak_wood')
	a.add('forge:planks_crimson', 'minecraft:stripped_crimson_hyphae')
	a.add('forge:planks_warped', 'minecraft:stripped_warped_hyphae')
	a.add('forge:planks_mossy_glowshroom', 'betterendforge:mossy_glowshroom_stripped_log')
	a.add('forge:planks_mossy_glowshroom', 'betterendforge:mossy_glowshroom_stripped_bark')
	a.add('forge:planks_lacugrove', 'betterendforge:lacugrove_stripped_log')
	a.add('forge:planks_lacugrove', 'betterendforge:lacugrove_stripped_bark')
	a.add('forge:planks_end_lotus', 'betterendforge:end_lotus_stripped_log')
	a.add('forge:planks_end_lotus', 'betterendforge:end_lotus_stripped_bark')
	a.add('forge:planks_pythadendron', 'betterendforge:pythadendron_stripped_log')
	a.add('forge:planks_pythadendron', 'betterendforge:pythadendron_stripped_bark')
	a.add('forge:planks_dragon', 'betterendforge:dragon_tree_stripped_log')
	a.add('forge:planks_dragon', 'betterendforge:dragon_tree_stripped_bark')
	a.add('forge:planks_tenanea', 'betterendforge:tenanea_stripped_log')
	a.add('forge:planks_tenanea', 'betterendforge:tenanea_stripped_bark')
	a.add('forge:planks_helix', 'betterendforge:helix_tree_stripped_log')
	a.add('forge:planks_helix', 'betterendforge:helix_tree_stripped_bark')
	a.add('forge:planks_umbrella', 'betterendforge:umbrella_tree_stripped_log')
	a.add('forge:planks_umbrella', 'betterendforge:umbrella_tree_stripped_bark')
	a.add('forge:planks_jellyshroom', 'betterendforge:jellyshroom_stripped_log')
	a.add('forge:planks_jellyshroom', 'betterendforge:jellyshroom_stripped_bark')
	a.add('forge:planks_lucernia', 'betterendforge:lucernia_stripped_log')
	a.add('forge:planks_lucernia', 'betterendforge:lucernia_stripped_bark')
	a.add('forge:planks_aspen', 'byg:stripped_aspen_log')
	a.add('forge:planks_aspen', 'byg:stripped_aspen_wood')
	a.add('forge:planks_baobab', 'byg:stripped_baobab_log')
	a.add('forge:planks_baobab', 'byg:stripped_baobab_wood')
	a.add('forge:planks_blue_enchanted', 'byg:stripped_blue_enchanted_log')
	a.add('forge:planks_blue_enchanted', 'byg:stripped_blue_enchanted_wood')
	a.add('forge:planks_bulbis', 'byg:stripped_bulbis_stem')
	a.add('forge:planks_bulbis', 'byg:stripped_bulbis_wood')
	a.add('forge:planks_cherry', 'byg:stripped_cherry_log')
	a.add('forge:planks_cherry', 'byg:stripped_cherry_wood')
	a.add('forge:planks_cika', 'byg:stripped_cika_log')
	a.add('forge:planks_cika', 'byg:stripped_cika_wood')
	a.add('forge:planks_cypress', 'byg:stripped_cypress_log')
	a.add('forge:planks_cypress', 'byg:stripped_cypress_wood')
	a.add('forge:planks_ebony', 'byg:stripped_ebony_log')
	a.add('forge:planks_ebony', 'byg:stripped_ebony_wood')
	a.add('forge:planks_ether', 'byg:stripped_ether_log')
	a.add('forge:planks_ether', 'byg:stripped_ether_wood')
	a.add('forge:planks_fir', 'byg:stripped_fir_log')
	a.add('forge:planks_fir', 'byg:stripped_fir_wood')
	a.add('forge:planks_green_enchanted', 'byg:stripped_green_enchanted_log')
	a.add('forge:planks_green_enchanted', 'byg:stripped_green_enchanted_wood')
	a.add('forge:planks_holly', 'byg:stripped_holly_log')
	a.add('forge:planks_holly', 'byg:stripped_holly_wood')
	a.add('forge:planks_jacaranda', 'byg:stripped_jacaranda_log')
	a.add('forge:planks_jacaranda', 'byg:stripped_jacaranda_wood')
	a.add('forge:planks_lament', 'byg:stripped_lament_log')
	a.add('forge:planks_lament', 'byg:stripped_lament_wood')
	a.add('forge:planks_mahogany', 'byg:stripped_mahogany_log')
	a.add('forge:planks_mahogany', 'byg:stripped_mahogany_wood')
	a.add('forge:planks_mangrove', 'byg:stripped_mangrove_log')
	a.add('forge:planks_mangrove', 'byg:stripped_mangrove_wood')
	a.add('forge:planks_maple', 'byg:stripped_maple_log')
	a.add('forge:planks_maple', 'byg:stripped_maple_wood')
	a.add('forge:planks_nightshade', 'byg:stripped_nightshade_log')
	a.add('forge:planks_nightshade', 'byg:stripped_nightshade_wood')
	a.add('forge:planks_palm', 'byg:stripped_palm_log')
	a.add('forge:planks_palm', 'byg:stripped_palm_wood')
	a.add('forge:planks_palo_verde', 'byg:stripped_palo_verde_log')
	a.add('forge:planks_palo_verde', 'byg:stripped_palo_verde_wood')
	a.add('forge:planks_pine', 'byg:stripped_pine_log')
	a.add('forge:planks_pine', 'byg:stripped_pine_wood')
	a.add('forge:planks_rainbow_eucalyptus', 'byg:stripped_rainbow_eucalyptus_log')
	a.add('forge:planks_rainbow_eucalyptus', 'byg:stripped_rainbow_eucalyptus_wood')
	a.add('forge:planks_redwood', 'byg:stripped_redwood_log')
	a.add('forge:planks_redwood', 'byg:stripped_redwood_wood')
	a.add('forge:planks_skyris', 'byg:stripped_skyris_log')
	a.add('forge:planks_skyris', 'byg:stripped_skyris_wood')
	a.add('forge:planks_willow', 'byg:stripped_willow_log')
	a.add('forge:planks_willow', 'byg:stripped_willow_wood')
	a.add('forge:planks_witch_hazel', 'byg:stripped_witch_hazel_log')
	a.add('forge:planks_witch_hazel', 'byg:stripped_witch_hazel_wood')
	a.add('forge:planks_zelkova', 'byg:stripped_zelkova_log')
	a.add('forge:planks_zelkova', 'byg:stripped_zelkova_wood')
	a.add('forge:planks_sythian', 'byg:stripped_sythian_stem')
	a.add('forge:planks_sythian', 'byg:stripped_sythian_hyphae')
	a.add('forge:planks_embur', 'byg:stripped_embur_pedu')
	a.add('forge:planks_embur', 'byg:stripped_embur_hyphae')
	a.add('forge:planks_poise', 'endergetic:stripped_poise_stem')
	a.add('forge:planks_poise', 'endergetic:stripped_poise_wood')

	a.add('forge:coal_coke', 'kubejs:lignite_coke')
	a.add('forge:coal_coke', 'kubejs:anthracite_coke')

})

onEvent('fluid.tags', f => {
	f.add('forge:liquid_gold', 'kubejs:liquid_gold')
	f.add('forge:liquid_steel', 'kubejs:liquid_steel')
})